=== debian/changelog ===
kirigami-addons (1.10.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (1.10.0)
  * Update build-deps and deps with the info from cmake.
  * New library package libkirigamiapp6.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Nov 2025 09:45:19 +0000
