=== debian/control ===
Source: kirigami-addons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <werdahias@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.20~),
               extra-cmake-modules (>= 6.16.0~),
               libkf6colorscheme-dev (>= 6.16.0~),
               libkf6config-dev (>= 6.16.0~),
               libkf6coreaddons-dev (>= 6.16.0~),
               libkf6crash-dev (>= 6.16.0~),
               libkf6globalaccel-dev (>= 6.16.0~),
               libkf6guiaddons-dev (>= 6.16.0~),
               libkf6i18n-dev (>= 6.16.0~),
               libkf6iconthemes-dev (>= 6.16.0~),
               libkirigami-dev (>= 6.16.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-config,
               qml6-module-org-kde-coreaddons,
               qml6-module-org-kde-desktop,
               qml6-module-org-kde-iconthemes,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-sonnet,
               qml6-module-qtmultimedia,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
Rules-Requires-Root: no

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkirigamiapp6 (= ${binary:Version}),
         libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-datetime (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-delegates (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-formcard (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-labs-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-settings (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-sounds (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-statefulapp (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-tableview (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-treeview (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

Package: libkirigamiaddonsstatefulapp6
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: statefulapp library
 This package contains the kirigami-addons statefulapp library.

Package: libkirigamiapp6
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: app library
 This package contains the kirigami-addons app library.

Package: qml6-module-org-kde-kirigamiaddons-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kirigamiaddons-formcard,
Description: components module for QML
 This package contains the treeview QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml6-module-org-kde-kirigamiaddons-delegates
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: delegates module for QML
 This package contains the treeview QML module.
 A runtime QML module providing delegates utilities.

Package: qml6-module-org-kde-kirigamiaddons-formcard
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: formcard module for QML
 This package contains the treeview QML module.
 A runtime QML module providing formcard utilities.

Package: qml6-module-org-kde-kirigamiaddons-labs-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: labs/components module for QML
 This package contains the labs/components QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-settings
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: settings module for QML
 This package contains the treeview QML module.
 A runtime QML module providing settings utilities.

Package: qml6-module-org-kde-kirigamiaddons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: qml6-module-org-kde-kirigamiaddons-statefulapp
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: statefulapp module for QML
 This package contains the statefulapp QML module.
 A runtime QML module providing statefulapp utilities.

Package: qml6-module-org-kde-kirigamiaddons-tableview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: tableview module for QML
 This package contains the tableview QML module.
 A runtime QML module providing tableview utilities.

Package: qml6-module-org-kde-kirigamiaddons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.
