=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,11 @@
 
 add_library(KirigamiApp SHARED)
 
-if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
-    ecm_generate_qdoc(KirigamiApp kirigamiapp.qdocconf)
-endif()
+ecm_generate_qdoc(KirigamiApp kirigamiapp.qdocconf)
 
 target_compile_definitions(KirigamiApp PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_app6\")
 
-target_sources(KirigamiApp PRIVATE kirigamiapp.cpp)
+target_sources(KirigamiApp PRIVATE kirigamiapp.cpp kirigamiappdefaults.cpp)
 
 target_link_libraries(KirigamiApp PRIVATE
     Qt6::QuickControls2
@@ -19,7 +17,7 @@
     KF6::ColorScheme
 )
 if(NOT ANDROID)
-    target_link_libraries(KirigamiApp PRIVATE KF6::Crash KF6::IconThemes)
+    target_link_libraries(KirigamiApp PRIVATE Qt6::Widgets KF6::Crash KF6::IconThemes)
 endif()
 
 target_include_directories(KirigamiApp
@@ -47,6 +45,7 @@
 ecm_generate_headers(KirigamiApp_CamelCase_HEADERS
     HEADER_NAMES
         KirigamiApp
+        KirigamiAppDefaults
     REQUIRED_HEADERS KirigamiApp_HEADERS
 )
