=== debian/changelog ===
kirigami-addons (1.11.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dep from -dev package to new libkirigamiapp6 library.
  * Update symbols from buildds for 1.11.0.
  * Fix arches for symbol where the automated script seems to have
    borked the list.
  * Add missing dh-sequence-pkgkde-symbolshelper for symbols placeholder
    substitutions.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Jan 2026 13:45:58 +0100

kirigami-addons (1.11.0-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * New upstream release
  * d/u/signing-key.asc: Concatenate into single ASCII block
  * d/watch: Convert to v5
  * d/control: Drop Rules-Requires-Root field
  * d/control: Bump minimum version with info for cmake
  * d/control: Depend on new packages kf6{crash, iconthemes,
    colorscheme}
  * d/control: Bump Standards-Version to 4.7.2; no changes needed
  * d/control: Add new libkirigamiapp6 package
  * d/libkirigamiaddonsstatefulapp6.symbols: Add new symbols
  * d/copyright: Replace FSF postal address by gnu webpage

  [ Aurélien COUDERC ]
  * New upstream release (1.11.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Bump Standards-Version to 4.7.3, no change required.
  * Add symbols file for libkirigamiapp6.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 17:08:08 +0100
