=== debian/control ===
--- 
+++ 
@@ -1,41 +1,39 @@
 Source: kirigami-addons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <werdahias@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.20~),
                extra-cmake-modules (>= 6.16.0~),
-               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.16.0-~),
                libkf6config-dev (>= 6.16.0~),
                libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6crash-dev (>= 6.16.0~),
+               libkf6crash-dev (>= 6.16.0-~),
                libkf6globalaccel-dev (>= 6.16.0~),
                libkf6guiaddons-dev (>= 6.16.0~),
                libkf6i18n-dev (>= 6.16.0~),
-               libkf6iconthemes-dev (>= 6.16.0~),
+               libkf6iconthemes-dev (>= 6.16.0-~),
                libkirigami-dev (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-org-kde-config,
                qml6-module-org-kde-coreaddons,
                qml6-module-org-kde-desktop,
-               qml6-module-org-kde-iconthemes,
                qml6-module-org-kde-kitemmodels,
                qml6-module-org-kde-sonnet,
                qml6-module-qtmultimedia,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
                qt6-declarative-private-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
-Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
 
 Package: kirigami-addons-data
 Architecture: all
@@ -49,8 +47,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libkirigamiapp6 (= ${binary:Version}),
-         libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
+Depends: libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
+         libkirigamiapp6 (= ${binary:Version}),
          qml6-module-org-kde-kirigamiaddons-components (= ${binary:Version}),
          qml6-module-org-kde-kirigamiaddons-datetime (= ${binary:Version}),
          qml6-module-org-kde-kirigamiaddons-delegates (= ${binary:Version}),
